@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
    scroll-padding-top: 2rem;
    scroll-behavior: smooth;
}


:root {
    --text-color: #021f2a;
    --bg-color: #fff;
}

/* Customizar barra de rolar */
html::-webkit-scrollbar-track {
    background: var(--text-color);
    border-radius: 5rem;
}

section {
    padding: 50px 100px;
}

header {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 2%;
    transition: 0.5s;
    gap: 20px;
}

header.shadow {
    background: var(--bg-color);
}

header.shadow .logo {
    color: var(--text-color);
}

header.shadow .navbar a {
    color: var(--text-color);
}

header.shadow .navbar a::after {
    background: var(--text-color);
}

.logo {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 1rem;
    font-weight: 600;
    color: var(--bg-color);
}

.logo img {
    width: 125px;
    height: 125px;
    object-fit: contain;
}

.navbar {
    display: flex;
    column-gap: 5rem;
}

.navbar li {
    position: relative;
}

.navbar a {
    font-size: 1rem;
    font-weight: 500;
    color: var(--bg-color);
    position: relative;
}

.navbar a::after {
    content: "";
    width: 0%;
    height: 2px;
    background: var(--bg-color);
    position: absolute;
    bottom: -4px;
    left: 0;
    transition: 0.4s;
}

.navbar a:hover::after, .navbar .home-active::after {
    width: 100%;
}

#menu-icon {
    font-size: 24px;
    cursor: pointer;
    z-index: 100001;
    display: none;
}

.container {
    width: 100%;
    min-height: 640px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.container img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.swiper-pagination-bullet {
    padding: 5px;
}

.swiper-pagination-bullet-active {
    background: var(--bg-color) !important;
}

.home-text {
    position: relative;
    z-index: 100001;
    padding: 0 100px;
    max-width: 600px;
    margin-top: 200px;
}

.home-text span {
    color: var(--bg-color);
    font-weight: 400;
    font-size: 0.9rem;
    display: block;
    margin-bottom: 10px;
}

.home-text h1 {
    color: var(--bg-color);
    font-size: 3.4rem;
    font-weight: 700;
    margin-bottom: 1rem;
    line-height: 1.2;
}

.btn {
    padding: 0.7rem 1rem;
    background: var(--text-color);
    color: var(--bg-color);
    font-weight: 500;
}

.btn:hover {
    background: #01151d;
}

.heading {
    text-align: center;
}

.heading h1 {
    font-size: 1.7rem;
    font-weight: 600;
    text-transform: capitalize;
    color: var(--text-color);
}


.places-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 1.5rem;
    justify-content: center;
    margin-top: 2rem;
}

.places-container .box {
    position: relative;
    height: 300px;
    border-radius: 8px;
    overflow: hidden;
}

.places-img {
    width: 100%;
    height: 100%;
}

.places-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: transform 0.5s ease;
}

.places-img img:hover {
    transform: scale(1.1);
}

.places-info {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--text-color);
    color: var(--bg-color);
    display: none;
    padding: 20px;
    text-align: center;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-sizing: border-box;
}

.places-info.active {
    display: flex;
}

.places-img.hidden {
    display: none;
}

.place-text {
    position: absolute;
    bottom: 2rem;
    left: 1rem;
    pointer-events: none;
}

.place-text h2 {
    color: var(--bg-color);
    font-weight: 500;
    font-size: 1rem;
}

.place-btn {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: 10px 20px; 
    background: var(--text-color);
    color: var(--bg-color);
    font-size: 0.9rem;
    font-weight: 500;
    cursor: pointer;
    border-top-left-radius: 10px; 
    transition: 0.3s background ease, transform 0.3s ease;
}

.places-container .box:hover .place-btn {
    background: #01151d;
}

.place-btn:hover {
    transform: scale(1.05); 
}


.video-container {
    display: grid;
    place-items: center;
    margin-top: 2rem;
}

.video-container video {
    width: 100%;
    max-width: 768px;
}

.info-container {
    max-width: 800px;
    margin: auto;
}

.faq-item {
    border-bottom: 1px solid #ccc;
    margin-bottom: 10px;
}

.faq-question {
    font-size: 1.1rem;
    text-transform: capitalize;
    color: var(--text-color);
    font-weight: bold;
    padding: 15px;
    background: #f5f5f5;
    cursor: pointer;
}

.faq-question:hover {
    background: var(--text-color);
    color: var(--bg-color);
}

.faq-answer {
    font-size: 0.938rem;
    text-align: justify;
    margin: 0.5rem 0 1.7rem;
    color: #333;
    display: none;
    padding: 15px;
    margin-bottom: 8px;
}

.about {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(17rem, auto));
    align-items: center;
    justify-content: center;
    gap: 1.5rem;
}

.about-text h1 {
    font-size: 1.7rem;
    text-transform: capitalize;
    color: var(--text-color);
}

.about-text p {
    font-size: 0.938rem;
    text-align: justify;
    margin: 0.5rem 0 1.7rem;
}

.about {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.5rem;
}

.about-images {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}

.about-img img {
    height: 100%;
    width: 100%;
    transform: scale(1.1);
    transition: 2s;
}


.footer {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(240px, auto));
    gap: 1rem;
    color: var(--text-color);
}

.footer-box h2 {
    font-size: 1.2rem;
    font-weight: 600;
    margin-bottom: 10px;
}

.footer-box p {
    font-size: 0.938rem;
    margin-bottom: 10px;
}
.guia {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 8px;
}

.guia a {
    font-size: 1.3rem;
    color: var(--text-color);
    transition: 0.3s;
}

.guia a:hover {
    transform: scale(1.2);
}


.guia a .bxl-whatsapp {
    color: var(--text-color);
}

.guia a .bxl-instagram {
    color: var(--text-color);
}
.social {
    display: flex;
    align-items: center;
}

.social a {
    font-size: 24px;
    color: var(--text-color);
    margin-right: 1rem;
}

.footer-box h3 {
    font-weight: 600;
    margin-bottom: 10px;
}

.footer-box li a {
    color: var(--text-color);
}
.whatsapp-float {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
}

.whatsapp-float img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    box-shadow: 0 4px 10px rgba(0,0,0,0.3);
    transition: transform 0.3s;
}

.whatsapp-float img:hover {
    transform: scale(1.1);
}

.parceiros-container {
    display: grid;
    place-items: center;
    margin-top: 2rem;
}

.parceiros-container parceiros {
    width: 100%;
    max-width: 768px;
}

@media (max-width: 1024px) {
    section {
        padding: 50px 5%;
    }
    .home-text {
        padding: 0 5%;
    }
    .navbar {
        column-gap: 2rem;
    }
}

@media (max-width: 768px) {
    #menu-icon {
        display: block;
        color: var(--bg-color);
    }
    
    header.shadow #menu-icon {
        color: var(--text-color);
    }

    .navbar {
        position: absolute;
        top: 100%;
        right: -100%;
        width: 250px;
        height: 100vh;
        background: var(--bg-color);
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 50px 20px;
        transition: 0.4s all ease;
        box-shadow: -2px 0 5px rgba(0,0,0,0.1);
    }
    
    .navbar.active {
        right: 0;
    }

    .navbar li {
        margin-bottom: 1.5rem;
    }

    .navbar a {
        color: var(--text-color);
    }
  
    .home-text {
        margin-top: 120px;
    }

    .home-text h1 {
        font-size: 2.5rem;
    }
    
    .about {
        grid-template-columns: 1fr;
        text-align: center;
    }
}

@media (max-width: 480px) {
    .home-text h1 {
        font-size: 2rem;
    }
}